unit schRecibosClienteServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schRecibosClienteClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_RecibosClienteDelta = '{09AF765A-9893-4609-B0F9-5AA658615091}';
  RID_RecibosCliente_RefreshDelta = '{20A20E0C-0EA9-4A41-B4D1-E0186CA8FC52}';
  RID_PagosClienteDelta = '{7ACA6F74-1324-4784-A37A-599EF8940690}';
  RID_RecibosCompensadosCliDelta = '{BA198B66-278F-4056-B312-5D0476D48275}';

type
  { IRecibosClienteDelta }
  IRecibosClienteDelta = interface(IRecibosCliente)
  ['{09AF765A-9893-4609-B0F9-5AA658615091}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_RECIBO_COMPENSADOValue : Integer;
    function GetOldREFERENCIA_REC_COMPENSADOValue : String;
    function GetOldREFERENCIAValue : String;
    function GetOldSITUACIONValue : String;
    function GetOldID_FACTURAValue : Integer;
    function GetOldID_REMESAValue : Integer;
    function GetOldREFERENCIA_REMESAValue : String;
    function GetOldFECHA_EMISIONValue : DateTime;
    function GetOldFECHA_VENCIMIENTOValue : DateTime;
    function GetOldDESCRIPCIONValue : String;
    function GetOldOBSERVACIONESValue : String;
    function GetOldIMPORTEValue : Currency;
    function GetOldOTROS_GASTOSValue : Currency;
    function GetOldIMPORTE_TOTALValue : Currency;
    function GetOldFECHA_FACTURAValue : DateTime;
    function GetOldFORMA_PAGO_FACTURAValue : String;
    function GetOldIMPORTE_FACTURAValue : Currency;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldNOMBRE_CLIENTEValue : String;
    function GetOldNIF_CIF_CLIENTEValue : String;
    function GetOldENTIDAD_CLIENTEValue : String;
    function GetOldSUCURSAL_CLIENTEValue : String;
    function GetOldDC_CLIENTEValue : String;
    function GetOldCUENTA_CLIENTEValue : String;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_RECIBO_COMPENSADO : Integer read GetOldID_RECIBO_COMPENSADOValue;
    property OldREFERENCIA_REC_COMPENSADO : String read GetOldREFERENCIA_REC_COMPENSADOValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldID_REMESA : Integer read GetOldID_REMESAValue;
    property OldREFERENCIA_REMESA : String read GetOldREFERENCIA_REMESAValue;
    property OldFECHA_EMISION : DateTime read GetOldFECHA_EMISIONValue;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldOBSERVACIONES : String read GetOldOBSERVACIONESValue;
    property OldIMPORTE : Currency read GetOldIMPORTEValue;
    property OldOTROS_GASTOS : Currency read GetOldOTROS_GASTOSValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property OldFORMA_PAGO_FACTURA : String read GetOldFORMA_PAGO_FACTURAValue;
    property OldIMPORTE_FACTURA : Currency read GetOldIMPORTE_FACTURAValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldNOMBRE_CLIENTE : String read GetOldNOMBRE_CLIENTEValue;
    property OldNIF_CIF_CLIENTE : String read GetOldNIF_CIF_CLIENTEValue;
    property OldENTIDAD_CLIENTE : String read GetOldENTIDAD_CLIENTEValue;
    property OldSUCURSAL_CLIENTE : String read GetOldSUCURSAL_CLIENTEValue;
    property OldDC_CLIENTE : String read GetOldDC_CLIENTEValue;
    property OldCUENTA_CLIENTE : String read GetOldCUENTA_CLIENTEValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
  end;

  { TRecibosClienteBusinessProcessorRules }
  TRecibosClienteBusinessProcessorRules = class(TDABusinessProcessorRules, IRecibosCliente, IRecibosClienteDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_RECIBO_COMPENSADOValue: Integer; virtual;
    function GetOldID_RECIBO_COMPENSADOValue: Integer; virtual;
    procedure SetID_RECIBO_COMPENSADOValue(const aValue: Integer); virtual;
    function GetREFERENCIA_REC_COMPENSADOValue: String; virtual;
    function GetOldREFERENCIA_REC_COMPENSADOValue: String; virtual;
    procedure SetREFERENCIA_REC_COMPENSADOValue(const aValue: String); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    function GetOldID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetID_REMESAValue: Integer; virtual;
    function GetOldID_REMESAValue: Integer; virtual;
    procedure SetID_REMESAValue(const aValue: Integer); virtual;
    function GetREFERENCIA_REMESAValue: String; virtual;
    function GetOldREFERENCIA_REMESAValue: String; virtual;
    procedure SetREFERENCIA_REMESAValue(const aValue: String); virtual;
    function GetFECHA_EMISIONValue: DateTime; virtual;
    function GetOldFECHA_EMISIONValue: DateTime; virtual;
    procedure SetFECHA_EMISIONValue(const aValue: DateTime); virtual;
    function GetFECHA_VENCIMIENTOValue: DateTime; virtual;
    function GetOldFECHA_VENCIMIENTOValue: DateTime; virtual;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetOBSERVACIONESValue: String; virtual;
    function GetOldOBSERVACIONESValue: String; virtual;
    procedure SetOBSERVACIONESValue(const aValue: String); virtual;
    function GetIMPORTEValue: Currency; virtual;
    function GetOldIMPORTEValue: Currency; virtual;
    procedure SetIMPORTEValue(const aValue: Currency); virtual;
    function GetOTROS_GASTOSValue: Currency; virtual;
    function GetOldOTROS_GASTOSValue: Currency; virtual;
    procedure SetOTROS_GASTOSValue(const aValue: Currency); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    function GetOldIMPORTE_TOTALValue: Currency; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    function GetFECHA_FACTURAValue: DateTime; virtual;
    function GetOldFECHA_FACTURAValue: DateTime; virtual;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime); virtual;
    function GetFORMA_PAGO_FACTURAValue: String; virtual;
    function GetOldFORMA_PAGO_FACTURAValue: String; virtual;
    procedure SetFORMA_PAGO_FACTURAValue(const aValue: String); virtual;
    function GetIMPORTE_FACTURAValue: Currency; virtual;
    function GetOldIMPORTE_FACTURAValue: Currency; virtual;
    procedure SetIMPORTE_FACTURAValue(const aValue: Currency); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetNOMBRE_CLIENTEValue: String; virtual;
    function GetOldNOMBRE_CLIENTEValue: String; virtual;
    procedure SetNOMBRE_CLIENTEValue(const aValue: String); virtual;
    function GetNIF_CIF_CLIENTEValue: String; virtual;
    function GetOldNIF_CIF_CLIENTEValue: String; virtual;
    procedure SetNIF_CIF_CLIENTEValue(const aValue: String); virtual;
    function GetENTIDAD_CLIENTEValue: String; virtual;
    function GetOldENTIDAD_CLIENTEValue: String; virtual;
    procedure SetENTIDAD_CLIENTEValue(const aValue: String); virtual;
    function GetSUCURSAL_CLIENTEValue: String; virtual;
    function GetOldSUCURSAL_CLIENTEValue: String; virtual;
    procedure SetSUCURSAL_CLIENTEValue(const aValue: String); virtual;
    function GetDC_CLIENTEValue: String; virtual;
    function GetOldDC_CLIENTEValue: String; virtual;
    procedure SetDC_CLIENTEValue(const aValue: String); virtual;
    function GetCUENTA_CLIENTEValue: String; virtual;
    function GetOldCUENTA_CLIENTEValue: String; virtual;
    procedure SetCUENTA_CLIENTEValue(const aValue: String); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_RECIBO_COMPENSADO : Integer read GetID_RECIBO_COMPENSADOValue write SetID_RECIBO_COMPENSADOValue;
    property OldID_RECIBO_COMPENSADO : Integer read GetOldID_RECIBO_COMPENSADOValue;
    property REFERENCIA_REC_COMPENSADO : String read GetREFERENCIA_REC_COMPENSADOValue write SetREFERENCIA_REC_COMPENSADOValue;
    property OldREFERENCIA_REC_COMPENSADO : String read GetOldREFERENCIA_REC_COMPENSADOValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property ID_FACTURA : Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property ID_REMESA : Integer read GetID_REMESAValue write SetID_REMESAValue;
    property OldID_REMESA : Integer read GetOldID_REMESAValue;
    property REFERENCIA_REMESA : String read GetREFERENCIA_REMESAValue write SetREFERENCIA_REMESAValue;
    property OldREFERENCIA_REMESA : String read GetOldREFERENCIA_REMESAValue;
    property FECHA_EMISION : DateTime read GetFECHA_EMISIONValue write SetFECHA_EMISIONValue;
    property OldFECHA_EMISION : DateTime read GetOldFECHA_EMISIONValue;
    property FECHA_VENCIMIENTO : DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OBSERVACIONES : String read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property OldOBSERVACIONES : String read GetOldOBSERVACIONESValue;
    property IMPORTE : Currency read GetIMPORTEValue write SetIMPORTEValue;
    property OldIMPORTE : Currency read GetOldIMPORTEValue;
    property OTROS_GASTOS : Currency read GetOTROS_GASTOSValue write SetOTROS_GASTOSValue;
    property OldOTROS_GASTOS : Currency read GetOldOTROS_GASTOSValue;
    property IMPORTE_TOTAL : Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property FECHA_FACTURA : DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property FORMA_PAGO_FACTURA : String read GetFORMA_PAGO_FACTURAValue write SetFORMA_PAGO_FACTURAValue;
    property OldFORMA_PAGO_FACTURA : String read GetOldFORMA_PAGO_FACTURAValue;
    property IMPORTE_FACTURA : Currency read GetIMPORTE_FACTURAValue write SetIMPORTE_FACTURAValue;
    property OldIMPORTE_FACTURA : Currency read GetOldIMPORTE_FACTURAValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property NOMBRE_CLIENTE : String read GetNOMBRE_CLIENTEValue write SetNOMBRE_CLIENTEValue;
    property OldNOMBRE_CLIENTE : String read GetOldNOMBRE_CLIENTEValue;
    property NIF_CIF_CLIENTE : String read GetNIF_CIF_CLIENTEValue write SetNIF_CIF_CLIENTEValue;
    property OldNIF_CIF_CLIENTE : String read GetOldNIF_CIF_CLIENTEValue;
    property ENTIDAD_CLIENTE : String read GetENTIDAD_CLIENTEValue write SetENTIDAD_CLIENTEValue;
    property OldENTIDAD_CLIENTE : String read GetOldENTIDAD_CLIENTEValue;
    property SUCURSAL_CLIENTE : String read GetSUCURSAL_CLIENTEValue write SetSUCURSAL_CLIENTEValue;
    property OldSUCURSAL_CLIENTE : String read GetOldSUCURSAL_CLIENTEValue;
    property DC_CLIENTE : String read GetDC_CLIENTEValue write SetDC_CLIENTEValue;
    property OldDC_CLIENTE : String read GetOldDC_CLIENTEValue;
    property CUENTA_CLIENTE : String read GetCUENTA_CLIENTEValue write SetCUENTA_CLIENTEValue;
    property OldCUENTA_CLIENTE : String read GetOldCUENTA_CLIENTEValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IRecibosCliente_RefreshDelta }
  IRecibosCliente_RefreshDelta = interface(IRecibosCliente_Refresh)
  ['{20A20E0C-0EA9-4A41-B4D1-E0186CA8FC52}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_RECIBO_COMPENSADOValue : Integer;
    function GetOldREFERENCIA_REC_COMPENSADOValue : String;
    function GetOldREFERENCIAValue : String;
    function GetOldSITUACIONValue : String;
    function GetOldID_FACTURAValue : Integer;
    function GetOldID_REMESAValue : Integer;
    function GetOldREFERENCIA_REMESAValue : String;
    function GetOldFECHA_EMISIONValue : DateTime;
    function GetOldFECHA_VENCIMIENTOValue : DateTime;
    function GetOldDESCRIPCIONValue : String;
    function GetOldOBSERVACIONESValue : String;
    function GetOldIMPORTEValue : Currency;
    function GetOldOTROS_GASTOSValue : Currency;
    function GetOldIMPORTE_TOTALValue : Currency;
    function GetOldFECHA_FACTURAValue : DateTime;
    function GetOldFORMA_PAGO_FACTURAValue : String;
    function GetOldIMPORTE_FACTURAValue : Currency;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldNOMBRE_CLIENTEValue : String;
    function GetOldNIF_CIF_CLIENTEValue : String;
    function GetOldENTIDAD_CLIENTEValue : String;
    function GetOldSUCURSAL_CLIENTEValue : String;
    function GetOldDC_CLIENTEValue : String;
    function GetOldCUENTA_CLIENTEValue : String;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_RECIBO_COMPENSADO : Integer read GetOldID_RECIBO_COMPENSADOValue;
    property OldREFERENCIA_REC_COMPENSADO : String read GetOldREFERENCIA_REC_COMPENSADOValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldID_REMESA : Integer read GetOldID_REMESAValue;
    property OldREFERENCIA_REMESA : String read GetOldREFERENCIA_REMESAValue;
    property OldFECHA_EMISION : DateTime read GetOldFECHA_EMISIONValue;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldOBSERVACIONES : String read GetOldOBSERVACIONESValue;
    property OldIMPORTE : Currency read GetOldIMPORTEValue;
    property OldOTROS_GASTOS : Currency read GetOldOTROS_GASTOSValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property OldFORMA_PAGO_FACTURA : String read GetOldFORMA_PAGO_FACTURAValue;
    property OldIMPORTE_FACTURA : Currency read GetOldIMPORTE_FACTURAValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldNOMBRE_CLIENTE : String read GetOldNOMBRE_CLIENTEValue;
    property OldNIF_CIF_CLIENTE : String read GetOldNIF_CIF_CLIENTEValue;
    property OldENTIDAD_CLIENTE : String read GetOldENTIDAD_CLIENTEValue;
    property OldSUCURSAL_CLIENTE : String read GetOldSUCURSAL_CLIENTEValue;
    property OldDC_CLIENTE : String read GetOldDC_CLIENTEValue;
    property OldCUENTA_CLIENTE : String read GetOldCUENTA_CLIENTEValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
  end;

  { TRecibosCliente_RefreshBusinessProcessorRules }
  TRecibosCliente_RefreshBusinessProcessorRules = class(TDABusinessProcessorRules, IRecibosCliente_Refresh, IRecibosCliente_RefreshDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_RECIBO_COMPENSADOValue: Integer; virtual;
    function GetOldID_RECIBO_COMPENSADOValue: Integer; virtual;
    procedure SetID_RECIBO_COMPENSADOValue(const aValue: Integer); virtual;
    function GetREFERENCIA_REC_COMPENSADOValue: String; virtual;
    function GetOldREFERENCIA_REC_COMPENSADOValue: String; virtual;
    procedure SetREFERENCIA_REC_COMPENSADOValue(const aValue: String); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    function GetOldID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetID_REMESAValue: Integer; virtual;
    function GetOldID_REMESAValue: Integer; virtual;
    procedure SetID_REMESAValue(const aValue: Integer); virtual;
    function GetREFERENCIA_REMESAValue: String; virtual;
    function GetOldREFERENCIA_REMESAValue: String; virtual;
    procedure SetREFERENCIA_REMESAValue(const aValue: String); virtual;
    function GetFECHA_EMISIONValue: DateTime; virtual;
    function GetOldFECHA_EMISIONValue: DateTime; virtual;
    procedure SetFECHA_EMISIONValue(const aValue: DateTime); virtual;
    function GetFECHA_VENCIMIENTOValue: DateTime; virtual;
    function GetOldFECHA_VENCIMIENTOValue: DateTime; virtual;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetOBSERVACIONESValue: String; virtual;
    function GetOldOBSERVACIONESValue: String; virtual;
    procedure SetOBSERVACIONESValue(const aValue: String); virtual;
    function GetIMPORTEValue: Currency; virtual;
    function GetOldIMPORTEValue: Currency; virtual;
    procedure SetIMPORTEValue(const aValue: Currency); virtual;
    function GetOTROS_GASTOSValue: Currency; virtual;
    function GetOldOTROS_GASTOSValue: Currency; virtual;
    procedure SetOTROS_GASTOSValue(const aValue: Currency); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    function GetOldIMPORTE_TOTALValue: Currency; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    function GetFECHA_FACTURAValue: DateTime; virtual;
    function GetOldFECHA_FACTURAValue: DateTime; virtual;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime); virtual;
    function GetFORMA_PAGO_FACTURAValue: String; virtual;
    function GetOldFORMA_PAGO_FACTURAValue: String; virtual;
    procedure SetFORMA_PAGO_FACTURAValue(const aValue: String); virtual;
    function GetIMPORTE_FACTURAValue: Currency; virtual;
    function GetOldIMPORTE_FACTURAValue: Currency; virtual;
    procedure SetIMPORTE_FACTURAValue(const aValue: Currency); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetNOMBRE_CLIENTEValue: String; virtual;
    function GetOldNOMBRE_CLIENTEValue: String; virtual;
    procedure SetNOMBRE_CLIENTEValue(const aValue: String); virtual;
    function GetNIF_CIF_CLIENTEValue: String; virtual;
    function GetOldNIF_CIF_CLIENTEValue: String; virtual;
    procedure SetNIF_CIF_CLIENTEValue(const aValue: String); virtual;
    function GetENTIDAD_CLIENTEValue: String; virtual;
    function GetOldENTIDAD_CLIENTEValue: String; virtual;
    procedure SetENTIDAD_CLIENTEValue(const aValue: String); virtual;
    function GetSUCURSAL_CLIENTEValue: String; virtual;
    function GetOldSUCURSAL_CLIENTEValue: String; virtual;
    procedure SetSUCURSAL_CLIENTEValue(const aValue: String); virtual;
    function GetDC_CLIENTEValue: String; virtual;
    function GetOldDC_CLIENTEValue: String; virtual;
    procedure SetDC_CLIENTEValue(const aValue: String); virtual;
    function GetCUENTA_CLIENTEValue: String; virtual;
    function GetOldCUENTA_CLIENTEValue: String; virtual;
    procedure SetCUENTA_CLIENTEValue(const aValue: String); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_RECIBO_COMPENSADO : Integer read GetID_RECIBO_COMPENSADOValue write SetID_RECIBO_COMPENSADOValue;
    property OldID_RECIBO_COMPENSADO : Integer read GetOldID_RECIBO_COMPENSADOValue;
    property REFERENCIA_REC_COMPENSADO : String read GetREFERENCIA_REC_COMPENSADOValue write SetREFERENCIA_REC_COMPENSADOValue;
    property OldREFERENCIA_REC_COMPENSADO : String read GetOldREFERENCIA_REC_COMPENSADOValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property ID_FACTURA : Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property ID_REMESA : Integer read GetID_REMESAValue write SetID_REMESAValue;
    property OldID_REMESA : Integer read GetOldID_REMESAValue;
    property REFERENCIA_REMESA : String read GetREFERENCIA_REMESAValue write SetREFERENCIA_REMESAValue;
    property OldREFERENCIA_REMESA : String read GetOldREFERENCIA_REMESAValue;
    property FECHA_EMISION : DateTime read GetFECHA_EMISIONValue write SetFECHA_EMISIONValue;
    property OldFECHA_EMISION : DateTime read GetOldFECHA_EMISIONValue;
    property FECHA_VENCIMIENTO : DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OBSERVACIONES : String read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property OldOBSERVACIONES : String read GetOldOBSERVACIONESValue;
    property IMPORTE : Currency read GetIMPORTEValue write SetIMPORTEValue;
    property OldIMPORTE : Currency read GetOldIMPORTEValue;
    property OTROS_GASTOS : Currency read GetOTROS_GASTOSValue write SetOTROS_GASTOSValue;
    property OldOTROS_GASTOS : Currency read GetOldOTROS_GASTOSValue;
    property IMPORTE_TOTAL : Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property FECHA_FACTURA : DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property FORMA_PAGO_FACTURA : String read GetFORMA_PAGO_FACTURAValue write SetFORMA_PAGO_FACTURAValue;
    property OldFORMA_PAGO_FACTURA : String read GetOldFORMA_PAGO_FACTURAValue;
    property IMPORTE_FACTURA : Currency read GetIMPORTE_FACTURAValue write SetIMPORTE_FACTURAValue;
    property OldIMPORTE_FACTURA : Currency read GetOldIMPORTE_FACTURAValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property NOMBRE_CLIENTE : String read GetNOMBRE_CLIENTEValue write SetNOMBRE_CLIENTEValue;
    property OldNOMBRE_CLIENTE : String read GetOldNOMBRE_CLIENTEValue;
    property NIF_CIF_CLIENTE : String read GetNIF_CIF_CLIENTEValue write SetNIF_CIF_CLIENTEValue;
    property OldNIF_CIF_CLIENTE : String read GetOldNIF_CIF_CLIENTEValue;
    property ENTIDAD_CLIENTE : String read GetENTIDAD_CLIENTEValue write SetENTIDAD_CLIENTEValue;
    property OldENTIDAD_CLIENTE : String read GetOldENTIDAD_CLIENTEValue;
    property SUCURSAL_CLIENTE : String read GetSUCURSAL_CLIENTEValue write SetSUCURSAL_CLIENTEValue;
    property OldSUCURSAL_CLIENTE : String read GetOldSUCURSAL_CLIENTEValue;
    property DC_CLIENTE : String read GetDC_CLIENTEValue write SetDC_CLIENTEValue;
    property OldDC_CLIENTE : String read GetOldDC_CLIENTEValue;
    property CUENTA_CLIENTE : String read GetCUENTA_CLIENTEValue write SetCUENTA_CLIENTEValue;
    property OldCUENTA_CLIENTE : String read GetOldCUENTA_CLIENTEValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IPagosClienteDelta }
  IPagosClienteDelta = interface(IPagosCliente)
  ['{7ACA6F74-1324-4784-A37A-599EF8940690}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_RECIBOValue : Integer;
    function GetOldTIPOValue : String;
    function GetOldFECHA_PAGOValue : DateTime;
    function GetOldTITULARValue : String;
    function GetOldENTIDADValue : String;
    function GetOldSUCURSALValue : String;
    function GetOldDCValue : String;
    function GetOldCUENTAValue : String;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_RECIBO : Integer read GetOldID_RECIBOValue;
    property OldTIPO : String read GetOldTIPOValue;
    property OldFECHA_PAGO : DateTime read GetOldFECHA_PAGOValue;
    property OldTITULAR : String read GetOldTITULARValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldDC : String read GetOldDCValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
  end;

  { TPagosClienteBusinessProcessorRules }
  TPagosClienteBusinessProcessorRules = class(TDABusinessProcessorRules, IPagosCliente, IPagosClienteDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_RECIBOValue: Integer; virtual;
    function GetOldID_RECIBOValue: Integer; virtual;
    procedure SetID_RECIBOValue(const aValue: Integer); virtual;
    function GetTIPOValue: String; virtual;
    function GetOldTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetFECHA_PAGOValue: DateTime; virtual;
    function GetOldFECHA_PAGOValue: DateTime; virtual;
    procedure SetFECHA_PAGOValue(const aValue: DateTime); virtual;
    function GetTITULARValue: String; virtual;
    function GetOldTITULARValue: String; virtual;
    procedure SetTITULARValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    function GetOldENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    function GetOldSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    function GetOldDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    function GetOldCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_RECIBO : Integer read GetID_RECIBOValue write SetID_RECIBOValue;
    property OldID_RECIBO : Integer read GetOldID_RECIBOValue;
    property TIPO : String read GetTIPOValue write SetTIPOValue;
    property OldTIPO : String read GetOldTIPOValue;
    property FECHA_PAGO : DateTime read GetFECHA_PAGOValue write SetFECHA_PAGOValue;
    property OldFECHA_PAGO : DateTime read GetOldFECHA_PAGOValue;
    property TITULAR : String read GetTITULARValue write SetTITULARValue;
    property OldTITULAR : String read GetOldTITULARValue;
    property ENTIDAD : String read GetENTIDADValue write SetENTIDADValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property SUCURSAL : String read GetSUCURSALValue write SetSUCURSALValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property DC : String read GetDCValue write SetDCValue;
    property OldDC : String read GetOldDCValue;
    property CUENTA : String read GetCUENTAValue write SetCUENTAValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IRecibosCompensadosCliDelta }
  IRecibosCompensadosCliDelta = interface(IRecibosCompensadosCli)
  ['{BA198B66-278F-4056-B312-5D0476D48275}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_RECIBO_COMPENSADOValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldSITUACIONValue : String;
    function GetOldID_FACTURAValue : Integer;
    function GetOldFECHA_EMISIONValue : DateTime;
    function GetOldFECHA_VENCIMIENTOValue : DateTime;
    function GetOldIMPORTEValue : Currency;
    function GetOldOTROS_GASTOSValue : Currency;
    function GetOldIMPORTE_TOTALValue : Currency;
    function GetOldFECHA_FACTURAValue : DateTime;
    function GetOldIMPORTE_FACTURAValue : Currency;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldNOMBRE_CLIENTEValue : String;
    function GetOldNIF_CIF_CLIENTEValue : String;
    function GetOldID_EMPRESAValue : Integer;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_RECIBO_COMPENSADO : Integer read GetOldID_RECIBO_COMPENSADOValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldFECHA_EMISION : DateTime read GetOldFECHA_EMISIONValue;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;
    property OldIMPORTE : Currency read GetOldIMPORTEValue;
    property OldOTROS_GASTOS : Currency read GetOldOTROS_GASTOSValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property OldIMPORTE_FACTURA : Currency read GetOldIMPORTE_FACTURAValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldNOMBRE_CLIENTE : String read GetOldNOMBRE_CLIENTEValue;
    property OldNIF_CIF_CLIENTE : String read GetOldNIF_CIF_CLIENTEValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
  end;

  { TRecibosCompensadosCliBusinessProcessorRules }
  TRecibosCompensadosCliBusinessProcessorRules = class(TDABusinessProcessorRules, IRecibosCompensadosCli, IRecibosCompensadosCliDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_RECIBO_COMPENSADOValue: Integer; virtual;
    function GetOldID_RECIBO_COMPENSADOValue: Integer; virtual;
    procedure SetID_RECIBO_COMPENSADOValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    function GetOldID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetFECHA_EMISIONValue: DateTime; virtual;
    function GetOldFECHA_EMISIONValue: DateTime; virtual;
    procedure SetFECHA_EMISIONValue(const aValue: DateTime); virtual;
    function GetFECHA_VENCIMIENTOValue: DateTime; virtual;
    function GetOldFECHA_VENCIMIENTOValue: DateTime; virtual;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime); virtual;
    function GetIMPORTEValue: Currency; virtual;
    function GetOldIMPORTEValue: Currency; virtual;
    procedure SetIMPORTEValue(const aValue: Currency); virtual;
    function GetOTROS_GASTOSValue: Currency; virtual;
    function GetOldOTROS_GASTOSValue: Currency; virtual;
    procedure SetOTROS_GASTOSValue(const aValue: Currency); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    function GetOldIMPORTE_TOTALValue: Currency; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    function GetFECHA_FACTURAValue: DateTime; virtual;
    function GetOldFECHA_FACTURAValue: DateTime; virtual;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime); virtual;
    function GetIMPORTE_FACTURAValue: Currency; virtual;
    function GetOldIMPORTE_FACTURAValue: Currency; virtual;
    procedure SetIMPORTE_FACTURAValue(const aValue: Currency); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetNOMBRE_CLIENTEValue: String; virtual;
    function GetOldNOMBRE_CLIENTEValue: String; virtual;
    procedure SetNOMBRE_CLIENTEValue(const aValue: String); virtual;
    function GetNIF_CIF_CLIENTEValue: String; virtual;
    function GetOldNIF_CIF_CLIENTEValue: String; virtual;
    procedure SetNIF_CIF_CLIENTEValue(const aValue: String); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_RECIBO_COMPENSADO : Integer read GetID_RECIBO_COMPENSADOValue write SetID_RECIBO_COMPENSADOValue;
    property OldID_RECIBO_COMPENSADO : Integer read GetOldID_RECIBO_COMPENSADOValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property ID_FACTURA : Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property FECHA_EMISION : DateTime read GetFECHA_EMISIONValue write SetFECHA_EMISIONValue;
    property OldFECHA_EMISION : DateTime read GetOldFECHA_EMISIONValue;
    property FECHA_VENCIMIENTO : DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;
    property IMPORTE : Currency read GetIMPORTEValue write SetIMPORTEValue;
    property OldIMPORTE : Currency read GetOldIMPORTEValue;
    property OTROS_GASTOS : Currency read GetOTROS_GASTOSValue write SetOTROS_GASTOSValue;
    property OldOTROS_GASTOS : Currency read GetOldOTROS_GASTOSValue;
    property IMPORTE_TOTAL : Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property FECHA_FACTURA : DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property IMPORTE_FACTURA : Currency read GetIMPORTE_FACTURAValue write SetIMPORTE_FACTURAValue;
    property OldIMPORTE_FACTURA : Currency read GetOldIMPORTE_FACTURAValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property NOMBRE_CLIENTE : String read GetNOMBRE_CLIENTEValue write SetNOMBRE_CLIENTEValue;
    property OldNOMBRE_CLIENTE : String read GetOldNOMBRE_CLIENTEValue;
    property NIF_CIF_CLIENTE : String read GetNIF_CIF_CLIENTEValue write SetNIF_CIF_CLIENTEValue;
    property OldNIF_CIF_CLIENTE : String read GetOldNIF_CIF_CLIENTEValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TRecibosClienteBusinessProcessorRules }
constructor TRecibosClienteBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TRecibosClienteBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TRecibosClienteBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID];
end;

function TRecibosClienteBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteID];
end;

procedure TRecibosClienteBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetID_RECIBO_COMPENSADOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID_RECIBO_COMPENSADO];
end;

function TRecibosClienteBusinessProcessorRules.GetOldID_RECIBO_COMPENSADOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteID_RECIBO_COMPENSADO];
end;

procedure TRecibosClienteBusinessProcessorRules.SetID_RECIBO_COMPENSADOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID_RECIBO_COMPENSADO] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetREFERENCIA_REC_COMPENSADOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteREFERENCIA_REC_COMPENSADO];
end;

function TRecibosClienteBusinessProcessorRules.GetOldREFERENCIA_REC_COMPENSADOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteREFERENCIA_REC_COMPENSADO];
end;

procedure TRecibosClienteBusinessProcessorRules.SetREFERENCIA_REC_COMPENSADOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteREFERENCIA_REC_COMPENSADO] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteREFERENCIA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteREFERENCIA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteREFERENCIA] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteSITUACION];
end;

function TRecibosClienteBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteSITUACION];
end;

procedure TRecibosClienteBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteSITUACION] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID_FACTURA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteID_FACTURA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetID_FACTURAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID_FACTURA] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetID_REMESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID_REMESA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldID_REMESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteID_REMESA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetID_REMESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID_REMESA] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetREFERENCIA_REMESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteREFERENCIA_REMESA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldREFERENCIA_REMESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteREFERENCIA_REMESA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetREFERENCIA_REMESAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteREFERENCIA_REMESA] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetFECHA_EMISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHA_EMISION];
end;

function TRecibosClienteBusinessProcessorRules.GetOldFECHA_EMISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteFECHA_EMISION];
end;

procedure TRecibosClienteBusinessProcessorRules.SetFECHA_EMISIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHA_EMISION] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHA_VENCIMIENTO];
end;

function TRecibosClienteBusinessProcessorRules.GetOldFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteFECHA_VENCIMIENTO];
end;

procedure TRecibosClienteBusinessProcessorRules.SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHA_VENCIMIENTO] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteDESCRIPCION];
end;

function TRecibosClienteBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteDESCRIPCION];
end;

procedure TRecibosClienteBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteDESCRIPCION] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetOBSERVACIONESValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteOBSERVACIONES];
end;

function TRecibosClienteBusinessProcessorRules.GetOldOBSERVACIONESValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteOBSERVACIONES];
end;

procedure TRecibosClienteBusinessProcessorRules.SetOBSERVACIONESValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteOBSERVACIONES] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetIMPORTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteIMPORTE];
end;

function TRecibosClienteBusinessProcessorRules.GetOldIMPORTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteIMPORTE];
end;

procedure TRecibosClienteBusinessProcessorRules.SetIMPORTEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteIMPORTE] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetOTROS_GASTOSValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteOTROS_GASTOS];
end;

function TRecibosClienteBusinessProcessorRules.GetOldOTROS_GASTOSValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteOTROS_GASTOS];
end;

procedure TRecibosClienteBusinessProcessorRules.SetOTROS_GASTOSValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteOTROS_GASTOS] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteIMPORTE_TOTAL];
end;

function TRecibosClienteBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteIMPORTE_TOTAL];
end;

procedure TRecibosClienteBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteIMPORTE_TOTAL] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHA_FACTURA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteFECHA_FACTURA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetFECHA_FACTURAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHA_FACTURA] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetFORMA_PAGO_FACTURAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFORMA_PAGO_FACTURA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldFORMA_PAGO_FACTURAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteFORMA_PAGO_FACTURA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetFORMA_PAGO_FACTURAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFORMA_PAGO_FACTURA] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetIMPORTE_FACTURAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteIMPORTE_FACTURA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldIMPORTE_FACTURAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteIMPORTE_FACTURA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetIMPORTE_FACTURAValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteIMPORTE_FACTURA] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID_CLIENTE];
end;

function TRecibosClienteBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteID_CLIENTE];
end;

procedure TRecibosClienteBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID_CLIENTE] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetNOMBRE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteNOMBRE_CLIENTE];
end;

function TRecibosClienteBusinessProcessorRules.GetOldNOMBRE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteNOMBRE_CLIENTE];
end;

procedure TRecibosClienteBusinessProcessorRules.SetNOMBRE_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteNOMBRE_CLIENTE] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetNIF_CIF_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteNIF_CIF_CLIENTE];
end;

function TRecibosClienteBusinessProcessorRules.GetOldNIF_CIF_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteNIF_CIF_CLIENTE];
end;

procedure TRecibosClienteBusinessProcessorRules.SetNIF_CIF_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteNIF_CIF_CLIENTE] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetENTIDAD_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteENTIDAD_CLIENTE];
end;

function TRecibosClienteBusinessProcessorRules.GetOldENTIDAD_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteENTIDAD_CLIENTE];
end;

procedure TRecibosClienteBusinessProcessorRules.SetENTIDAD_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteENTIDAD_CLIENTE] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetSUCURSAL_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteSUCURSAL_CLIENTE];
end;

function TRecibosClienteBusinessProcessorRules.GetOldSUCURSAL_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteSUCURSAL_CLIENTE];
end;

procedure TRecibosClienteBusinessProcessorRules.SetSUCURSAL_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteSUCURSAL_CLIENTE] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetDC_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteDC_CLIENTE];
end;

function TRecibosClienteBusinessProcessorRules.GetOldDC_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteDC_CLIENTE];
end;

procedure TRecibosClienteBusinessProcessorRules.SetDC_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteDC_CLIENTE] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetCUENTA_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCUENTA_CLIENTE];
end;

function TRecibosClienteBusinessProcessorRules.GetOldCUENTA_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteCUENTA_CLIENTE];
end;

procedure TRecibosClienteBusinessProcessorRules.SetCUENTA_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteCUENTA_CLIENTE] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID_EMPRESA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteID_EMPRESA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteID_EMPRESA] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHA_ALTA];
end;

function TRecibosClienteBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteFECHA_ALTA];
end;

procedure TRecibosClienteBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHA_ALTA] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHA_MODIFICACION];
end;

function TRecibosClienteBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteFECHA_MODIFICACION];
end;

procedure TRecibosClienteBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteFECHA_MODIFICACION] := aValue;
end;

function TRecibosClienteBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteUSUARIO];
end;

function TRecibosClienteBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosClienteUSUARIO];
end;

procedure TRecibosClienteBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosClienteUSUARIO] := aValue;
end;


{ TRecibosCliente_RefreshBusinessProcessorRules }
constructor TRecibosCliente_RefreshBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TRecibosCliente_RefreshBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshID];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetID_RECIBO_COMPENSADOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID_RECIBO_COMPENSADO];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldID_RECIBO_COMPENSADOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshID_RECIBO_COMPENSADO];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetID_RECIBO_COMPENSADOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID_RECIBO_COMPENSADO] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetREFERENCIA_REC_COMPENSADOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshREFERENCIA_REC_COMPENSADO];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldREFERENCIA_REC_COMPENSADOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshREFERENCIA_REC_COMPENSADO];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetREFERENCIA_REC_COMPENSADOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshREFERENCIA_REC_COMPENSADO] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshREFERENCIA];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshREFERENCIA];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshREFERENCIA] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshSITUACION];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshSITUACION];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshSITUACION] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID_FACTURA];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshID_FACTURA];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetID_FACTURAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID_FACTURA] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetID_REMESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID_REMESA];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldID_REMESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshID_REMESA];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetID_REMESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID_REMESA] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetREFERENCIA_REMESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshREFERENCIA_REMESA];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldREFERENCIA_REMESAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshREFERENCIA_REMESA];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetREFERENCIA_REMESAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshREFERENCIA_REMESA] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetFECHA_EMISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFECHA_EMISION];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldFECHA_EMISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshFECHA_EMISION];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetFECHA_EMISIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFECHA_EMISION] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFECHA_VENCIMIENTO];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshFECHA_VENCIMIENTO];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFECHA_VENCIMIENTO] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshDESCRIPCION];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshDESCRIPCION];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshDESCRIPCION] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOBSERVACIONESValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshOBSERVACIONES];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldOBSERVACIONESValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshOBSERVACIONES];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetOBSERVACIONESValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshOBSERVACIONES] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetIMPORTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshIMPORTE];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldIMPORTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshIMPORTE];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetIMPORTEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshIMPORTE] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOTROS_GASTOSValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshOTROS_GASTOS];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldOTROS_GASTOSValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshOTROS_GASTOS];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetOTROS_GASTOSValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshOTROS_GASTOS] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshIMPORTE_TOTAL];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshIMPORTE_TOTAL];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshIMPORTE_TOTAL] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFECHA_FACTURA];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshFECHA_FACTURA];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetFECHA_FACTURAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFECHA_FACTURA] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetFORMA_PAGO_FACTURAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFORMA_PAGO_FACTURA];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldFORMA_PAGO_FACTURAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshFORMA_PAGO_FACTURA];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetFORMA_PAGO_FACTURAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFORMA_PAGO_FACTURA] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetIMPORTE_FACTURAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshIMPORTE_FACTURA];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldIMPORTE_FACTURAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshIMPORTE_FACTURA];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetIMPORTE_FACTURAValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshIMPORTE_FACTURA] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID_CLIENTE];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshID_CLIENTE];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID_CLIENTE] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetNOMBRE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshNOMBRE_CLIENTE];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldNOMBRE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshNOMBRE_CLIENTE];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetNOMBRE_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshNOMBRE_CLIENTE] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetNIF_CIF_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshNIF_CIF_CLIENTE];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldNIF_CIF_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshNIF_CIF_CLIENTE];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetNIF_CIF_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshNIF_CIF_CLIENTE] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetENTIDAD_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshENTIDAD_CLIENTE];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldENTIDAD_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshENTIDAD_CLIENTE];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetENTIDAD_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshENTIDAD_CLIENTE] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetSUCURSAL_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshSUCURSAL_CLIENTE];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldSUCURSAL_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshSUCURSAL_CLIENTE];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetSUCURSAL_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshSUCURSAL_CLIENTE] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetDC_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshDC_CLIENTE];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldDC_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshDC_CLIENTE];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetDC_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshDC_CLIENTE] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetCUENTA_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshCUENTA_CLIENTE];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldCUENTA_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshCUENTA_CLIENTE];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetCUENTA_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshCUENTA_CLIENTE] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID_EMPRESA];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshID_EMPRESA];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshID_EMPRESA] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFECHA_ALTA];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshFECHA_ALTA];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFECHA_ALTA] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFECHA_MODIFICACION];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshFECHA_MODIFICACION];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshFECHA_MODIFICACION] := aValue;
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshUSUARIO];
end;

function TRecibosCliente_RefreshBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCliente_RefreshUSUARIO];
end;

procedure TRecibosCliente_RefreshBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCliente_RefreshUSUARIO] := aValue;
end;


{ TPagosClienteBusinessProcessorRules }
constructor TPagosClienteBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TPagosClienteBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TPagosClienteBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteID];
end;

function TPagosClienteBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteID];
end;

procedure TPagosClienteBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteID] := aValue;
end;

function TPagosClienteBusinessProcessorRules.GetID_RECIBOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteID_RECIBO];
end;

function TPagosClienteBusinessProcessorRules.GetOldID_RECIBOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteID_RECIBO];
end;

procedure TPagosClienteBusinessProcessorRules.SetID_RECIBOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteID_RECIBO] := aValue;
end;

function TPagosClienteBusinessProcessorRules.GetTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteTIPO];
end;

function TPagosClienteBusinessProcessorRules.GetOldTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteTIPO];
end;

procedure TPagosClienteBusinessProcessorRules.SetTIPOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteTIPO] := aValue;
end;

function TPagosClienteBusinessProcessorRules.GetFECHA_PAGOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteFECHA_PAGO];
end;

function TPagosClienteBusinessProcessorRules.GetOldFECHA_PAGOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteFECHA_PAGO];
end;

procedure TPagosClienteBusinessProcessorRules.SetFECHA_PAGOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteFECHA_PAGO] := aValue;
end;

function TPagosClienteBusinessProcessorRules.GetTITULARValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteTITULAR];
end;

function TPagosClienteBusinessProcessorRules.GetOldTITULARValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteTITULAR];
end;

procedure TPagosClienteBusinessProcessorRules.SetTITULARValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteTITULAR] := aValue;
end;

function TPagosClienteBusinessProcessorRules.GetENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteENTIDAD];
end;

function TPagosClienteBusinessProcessorRules.GetOldENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteENTIDAD];
end;

procedure TPagosClienteBusinessProcessorRules.SetENTIDADValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteENTIDAD] := aValue;
end;

function TPagosClienteBusinessProcessorRules.GetSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteSUCURSAL];
end;

function TPagosClienteBusinessProcessorRules.GetOldSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteSUCURSAL];
end;

procedure TPagosClienteBusinessProcessorRules.SetSUCURSALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteSUCURSAL] := aValue;
end;

function TPagosClienteBusinessProcessorRules.GetDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteDC];
end;

function TPagosClienteBusinessProcessorRules.GetOldDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteDC];
end;

procedure TPagosClienteBusinessProcessorRules.SetDCValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteDC] := aValue;
end;

function TPagosClienteBusinessProcessorRules.GetCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteCUENTA];
end;

function TPagosClienteBusinessProcessorRules.GetOldCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteCUENTA];
end;

procedure TPagosClienteBusinessProcessorRules.SetCUENTAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteCUENTA] := aValue;
end;

function TPagosClienteBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteFECHA_ALTA];
end;

function TPagosClienteBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteFECHA_ALTA];
end;

procedure TPagosClienteBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteFECHA_ALTA] := aValue;
end;

function TPagosClienteBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteFECHA_MODIFICACION];
end;

function TPagosClienteBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteFECHA_MODIFICACION];
end;

procedure TPagosClienteBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteFECHA_MODIFICACION] := aValue;
end;

function TPagosClienteBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteUSUARIO];
end;

function TPagosClienteBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_PagosClienteUSUARIO];
end;

procedure TPagosClienteBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_PagosClienteUSUARIO] := aValue;
end;


{ TRecibosCompensadosCliBusinessProcessorRules }
constructor TRecibosCompensadosCliBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TRecibosCompensadosCliBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliID];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliID];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliID] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetID_RECIBO_COMPENSADOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliID_RECIBO_COMPENSADO];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldID_RECIBO_COMPENSADOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliID_RECIBO_COMPENSADO];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetID_RECIBO_COMPENSADOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliID_RECIBO_COMPENSADO] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliREFERENCIA];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliREFERENCIA];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliREFERENCIA] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliSITUACION];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliSITUACION];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliSITUACION] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliID_FACTURA];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliID_FACTURA];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetID_FACTURAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliID_FACTURA] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetFECHA_EMISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliFECHA_EMISION];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldFECHA_EMISIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliFECHA_EMISION];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetFECHA_EMISIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliFECHA_EMISION] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliFECHA_VENCIMIENTO];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliFECHA_VENCIMIENTO];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliFECHA_VENCIMIENTO] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetIMPORTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliIMPORTE];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldIMPORTEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliIMPORTE];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetIMPORTEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliIMPORTE] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOTROS_GASTOSValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliOTROS_GASTOS];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldOTROS_GASTOSValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliOTROS_GASTOS];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetOTROS_GASTOSValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliOTROS_GASTOS] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliIMPORTE_TOTAL];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliIMPORTE_TOTAL];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliIMPORTE_TOTAL] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliFECHA_FACTURA];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliFECHA_FACTURA];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetFECHA_FACTURAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliFECHA_FACTURA] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetIMPORTE_FACTURAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliIMPORTE_FACTURA];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldIMPORTE_FACTURAValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliIMPORTE_FACTURA];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetIMPORTE_FACTURAValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliIMPORTE_FACTURA] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliID_CLIENTE];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliID_CLIENTE];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliID_CLIENTE] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetNOMBRE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliNOMBRE_CLIENTE];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldNOMBRE_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliNOMBRE_CLIENTE];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetNOMBRE_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliNOMBRE_CLIENTE] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetNIF_CIF_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliNIF_CIF_CLIENTE];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldNIF_CIF_CLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliNIF_CIF_CLIENTE];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetNIF_CIF_CLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliNIF_CIF_CLIENTE] := aValue;
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliID_EMPRESA];
end;

function TRecibosCompensadosCliBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RecibosCompensadosCliID_EMPRESA];
end;

procedure TRecibosCompensadosCliBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RecibosCompensadosCliID_EMPRESA] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_RecibosClienteDelta, TRecibosClienteBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_RecibosCliente_RefreshDelta, TRecibosCliente_RefreshBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_PagosClienteDelta, TPagosClienteBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_RecibosCompensadosCliDelta, TRecibosCompensadosCliBusinessProcessorRules);

end.
